
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>工厂模式----设计模式系列 / iVAN</title>

    <meta name="description" content="工厂模式----设计模式系列 本文采用了三种工厂模式 简单工厂模式 工厂方法模式 应用反射实现工厂模式 存放说明如下: com.dyk : 包含main方法的测试类 com.dyk.factory : 三种工厂类(具体工厂类的接口或者具体的工厂类) com.dyk.factory.impl : 工厂类的具体实现 com.dyk.operate :  具体运算类的父类 com.dyk.operate.impl : 具体的运算类 一.简单工厂模式      这里需要用到五个类,分别是:OperationFactory.Opera">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">工厂模式----设计模式系列</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>本文采用了三种工厂模式</h2>

<ol>
<li>简单工厂模式</li>
<li>工厂方法模式</li>
<li>应用反射实现工厂模式</li>
</ol>
<p>存放说明如下：</p>
<ul>
<li>com.dyk : 包含main方法的测试类</li>
<li>com.dyk.factory : 三种工厂类（具体工厂类的接口或者具体的工厂类）</li>
<li>com.dyk.factory.impl : 工厂类的具体实现</li>
<li>com.dyk.operate :  具体运算类的父类</li>
<li>com.dyk.operate.impl : 具体的运算类</li>
</ul>
<p>一、<strong>简单工厂模式</strong></p>
<p>     这里需要用到五个类，分别是：OperationFactory、Operation、OperationAdd、OperationSub、Test。</p>
<p>首先看Opreration这个类</p>
<pre>package com.dyk.operate;

public class Operation {

	private double number1;
	private double number2;

	public double getNumber1() {
		return number1;
	}

	public void setNumber1(double number1) {
		this.number1 = number1;
	}

	public double getNumber2() {
		return number2;
	}

	public void setNumber2(double number2) {
		this.number2 = number2;
	}

	public double getResult() {
		double result = 0;
		return result;
	}

}
</pre>
<p>   可以看到，在Operation这个类中定义了一个getResult()方法和number1和number2两个属性。没什么太多可说的。接下来看下它的子类。OperationAdd和OperationSub。</p>
<pre>package com.dyk.operate.impl;

import com.dyk.operate.Operation;

public class OperationAdd extends Operation {

    @Override
    public double getResult() {
          double result = 0;
          result = super.getNumber1() + super.getNumber2();
          return result ;
    }

}

public class OperationSub extends Operation {

    @Override
    public double getResult() {
          double result = 0;
          result = super.getNumber1() - super.getNumber2();
          return result ;
    }

}
</pre>
<p>     可以看到OperationAdd和OperationSub都重写了Operation类的getResult()方法。在getResult()方法中执行相应的加减操作。准备工作到此完成，接下来就可以着手写我们的工厂类了</p>
<pre>package com.dyk.factory;

import com.dyk.operate.Operation;
import com.dyk.operate.impl.OperationAdd;
import com.dyk.operate.impl.OperationSub;

public class OperationFactory {

     public static Operation createOperationBySimpleFactory(String operation){
          Operation oper = null;
          switch (operation) {
          case "+":
               oper = new OperationAdd();
               System.out.println("加法运算");
               break;
          case "-":
               oper = new OperationSub();
               System.out.println("减法运算");
               break;
          default:
               break;
          }
          return oper;
     }
}
</pre>
<p>     在工厂类OperationFactory中只有一个createOperationBySimpleFactory ( String operation)方法。方法内部对参数operation进行判断到底是+、-还是default。然后new出相应的实例并向上转型赋给Operation对象。最后返回这个对象<br />
 oper。至此，我们获得了一个由Operation子类向上转型而来的Operation对象。最后看下Test类测试下我们的简单工厂模式。
<pre>   private static void simpleFactory() {
         Operation oper = null;
          oper = OperationFactory.createOperationBySimpleFactory( "+");
          oper.setNumber1(1.5d);
          oper.setNumber2(1.2d);
         System. out.println("运算结果:" + oper.getResult());

          oper = OperationFactory.createOperationBySimpleFactory( "-");
          oper.setNumber1(1.5d);
          oper.setNumber2(1.2d);
         System. out.println("运算结果:" + oper.getResult());
    }
</pre>
<p>    运算结果如右：<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTEyMTIyMDQ3MDkxNDQ/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p>    简单工厂模式的优点：工厂类中包含了必要的逻辑判断，根据客户端的选择条件动态实例化相关的类，对于客户端来说，去除了与具体产品的依赖。每个子类只负责自己的逻辑，不关心调用过程。业务逻辑与界面逻辑分离开，让他们之间的耦合度下降。只有分离开，才能达到统一维护或扩展。</p>
<p>     简单工厂模式的缺点：如果需要增加一种子类，需要在工厂类中添加分支。这样违反了设计模式中的开放-封闭原则。（工厂方法模式可以解决这种缺点）</p>
<p><strong><br /></strong></p>
<p><strong>********************************************工厂方法模式**************************************************</strong></p>
<p>     工厂方法模式：定义一个用于创建对象的接口，让子类决定实例化哪一个类。工厂方法使一个类的实例化延迟到其子类。    </p>
<p>     工厂方法模式涉及到的类有：IFactory、AddFactory、SubFactory、Operation、OperationAdd、OperationSub、Test。在简单工厂模式的基础上提取出了工厂接口。
<pre>package com.dyk.factory;

import com.dyk.operate.Operation;

public interface IFactory {

    Operation createOperationByFactory();

}</pre>
<p>    AddFactory和SubFactory都实现了这个接口。在重写的方法中进行相应的操作，具体如下
<pre>package com.dyk.factory.impl;

import com.dyk.factory.IFactory;
import com.dyk.operate.Operation;
import com.dyk.operate.impl.OperationAdd;

public class AddFactory implements IFactory {

    @Override
    public Operation createOperationByFactory() {

          return new OperationAdd();
    }

}
package com.dyk.factory.impl;

import com.dyk.factory.IFactory;
import com.dyk.operate.Operation;
import com.dyk.operate.impl.OperationAdd;

public class AddFactory implements IFactory {

    @Override
    public Operation createOperationByFactory() {

          return new OperationAdd();
    }

}
</pre>
<p>    在AddFactory和SubFactory的createOperationByFactory()方法中分别new出了一个Operation的子类对象。在Test类中实现如下
<pre>    private static void factory() {
         Operation mOperation = null ;
         IFactory iFactory = null;

          iFactory = new AddFactory();
          mOperation = iFactory.createOperationByFactory();
          mOperation.setNumber1(1.5d);
          mOperation.setNumber2(1.2d);
         System. out.println("运算结果:" + mOperation.getResult());

          iFactory = new SubFactory();
          mOperation = iFactory.createOperationByFactory();
          mOperation.setNumber1(1.5d);
          mOperation.setNumber2(1.2d);
         System. out.println("运算结果:" + mOperation.getResult());
    }
</pre>
<p>    运算结果如右：  <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTEyMTIyMDQ3MTU2MTA/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg">   </p>
<p>    工厂方法模式的优点：工厂方法模式是简单工厂模式的进一步抽象和推广。实现了在不违背开放-封闭原则的情况下对现有程序进行拓展。</p>
<p>     工厂方法模式的缺点：客户端需要决定实例化哪一个工厂类实现运算类，将简单工厂的内部逻辑判断移到了客户端进行。你想要加功能，本来是要修改工厂类，现在要去修改客户端。（反射工厂模式可避免此问题）</p>
<p><strong>****************************************运用反射实现工厂模式**********************************************</strong></p>
<p>     运行反射实现工厂模式涉及的类有：ReflectFactory、Operation、OperationAdd、OperationSub、Test。</p>
<p>     运用反射实现工厂模式非常的简单，只需两行代码。
<pre>package com.dyk.factory;

import com.dyk.operate.Operation;

public class ReflectFactory {

    public static Operation createOperationByReflectFactory(String classPath ){
         Operation oper = null;

          try {
              oper = (Operation) Class.forName(classPath).newInstance();
         } catch (InstantiationException e ) {
              e.printStackTrace();
         } catch (IllegalAccessException e ) {
              e.printStackTrace();
         } catch (ClassNotFoundException e ) {
              try {
                  throw new Exception("opration is not instanceof Operation");
             } catch (Exception e1 ) {
                  e1.printStackTrace();
             }
              e.printStackTrace();
         }
          return oper ;
    }

}
</pre>
<p>    Test测试方法如下
<pre>   private static void reflectFactory() {
         Operation mOperation =null ;
         String classPath = "com.dyk.operate.impl.OperationAdd" ;
          mOperation = ReflectFactory.createOperationByReflectFactory( classPath);
          mOperation.setNumber1(1.5d);
          mOperation.setNumber2(1.2d);
         System. out.println("运算结果:" + mOperation.getResult());
    }
</pre>
<p>     运算结果如右：<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTEyMTIyMDQ3MjIzOTc/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"><br />     运用反射实现工厂模式的优点：实现了完全解耦。</p>
<p>     运用反射实现工厂模式的缺点：每次参数都要传入完整的包名+类名。</p>
<p><a href="http://download.csdn.net/detail/qq_17250009/9350175" rel="external nofollow noreferrer">点我下载源码</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 11:51:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>工厂模式----设计模式系列的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1lJxab.html" rel="bookmark">模板方法模式----设计模式系列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				模板方法模式:定义一个操作中的算法的骨架,而将一些步骤延迟到子类中.模板方法使得子类可以不改变一个算法的结构即可重定义该算法的某些特定的步骤.          定义有些呆板,说说我的理解吧.父类定义实施的步骤,子类中实现具体的算法.当我们要完成在某一细节层次一直得一个过程或一系列步骤,但其个别步骤在更详细的层次上的实现可能不同时,通常考虑用模板方法木事来处理. 代码很简单的不要不要的,还有注释.直接贴啦. (1)定义抽象模板父类 /** * 抽象模板,定义并实现了一个模板方法.这个模板方法一般			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYj6DVp.html" rel="bookmark">代理者模式----设计模式系列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;pre code_snippet_id=&quot;1580901&quot; snippet_file_name=&quot;blog_20160217_1_7167142&quot; name=&quot;code&quot; class=&quot;java&quot;&gt;代码注释很清晰就不罗嗦了 public interface iGiveGift { void GiveFlowers(); void GiveShoes(); } &lt;pre name=&quot;code&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDJy00M.html" rel="bookmark">第2章 简单工厂模式（Sample Factory）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文 第2章 简单工厂模式(Sample Factory) 一般用到的场景:对象多次被实例引用,切有可能会发生变化   拿我们的简单三层举例子 先定义dal层 1 2 3 4 5 6 7 8     class Dal     {         public void Delete()         {           //...          }              } 工厂类 1 2 3 4 5 6 7 8 9 10     class Factory     {     			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEWK5Jp.html" rel="bookmark">深入理解JavaScript系列（28）：设计模式之工厂模式详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了深入理解JavaScript系列(28):设计模式之工厂模式详解,工厂模式定义一个用于创建对象的接口,这个接口由子类决定实例化哪一个类,需要的朋友可以参考下     介绍 与创建型模式类似,工厂模式创建对象(视为工厂里的产品)时无需指定创建对象的具体类. 工厂模式定义一个用于创建对象的接口,这个接口由子类决定实例化哪一个类.该模式使一个类的实例化延迟到了子类.而子类可以重写接口方法以便创建的时候指定自己的对象类型. 这个模式十分有用,尤其是创建对象的流程赋值的时候,比如依赖于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg32y3M.html" rel="bookmark">Android设计模式系列之工厂方法模式&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工厂方法模式,往往是设计模式初学者入门的模式,的确,有人称之为最为典型最具启发效果的模式. android中用到了太多的工厂类,其中有用工厂方法模式的,当然也有很多工厂并不是使用工厂方法模式的,只是工具管理类. 今天以ThreadFactory举例说明一下简单工厂模式和工厂方法模式. 工厂方法模式,Factory Method,简单的方式,不简单的应用. 1.意图 定义一个用于创建对象的接口,让子类决定实例化哪个类.工厂方式模式使一个类的实例化延迟到其子类. 热门词汇:虚构造器 延迟 创建对象			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR1dexb.html" rel="bookmark">C&num; 设计模式系列教程-抽象工厂模式&lowbar;C&num;教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 概述 抽象工厂模式为一个产品家族提供了统一的创建接口.当需要这个产品家族的某一系列的时候,可以从抽象工厂中选出相对应的系列来创建一个具体的工厂类别. 2. 抽象工厂模式中的角色   2.1 抽象工厂(AbstractFactory):担任这个角色的是工厂方法模式的核心,它是与应用系统商业逻辑无关的.   2.2 具体工厂(ConcreteFactory):这个角色直接在客户端的调用下创建产品的实例.这个角色含有选择合适的产品对象的逻辑,而这个逻辑是与应用系统的商业逻辑紧密相关的.   2.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z723oXp.html" rel="bookmark">设计模式系列之一：简单工厂模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 设计模式能够帮助我们设计出健壮,低耦合性的代码,从此和高耦合的代码say goodbye!在所有的的设计模式中,简单工厂算是我们平时接触比较多的吧,多线程中的消费者工厂类与生产者工厂类应该算是接触最早的设计模式,简单工厂模式要解决的首要问题就是降低程序之间的耦合度,通过Java中的封装.继承与多态实现解耦.通过使用简单工厂模式,我们设计的代码更易于维护和复用 问题背景 在进入正题之前我们先看一下问题背景: 某公司开发了一个A软件,数据库使用的是SQLServer.后由于客户要求需要使用Or			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqeYab.html" rel="bookmark">设计模式系列之三：抽象工厂模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在设计模式有三个模式是与工厂模式相关的,分别是:简单工厂模式.工厂方法模式以及抽象工厂模式.在前面的文章中已经谈到前面两种,这里就对抽象工厂模式介绍一下.抽象工厂模式就是提供一个创建一系列相关或者相互依赖的接口(也就是抽象类),而无需指定具体的类.简单来说,就是当我们需要创建一个具体的对象的时候,我们不必指定该具体的对象,只需要使用它的上层接口直接调用就行.好像还是很抽象哦,好吧,为了更清晰领悟这个设计模式,我们还是通过一个案例来说明 问题背景 某公司开发了一个A软件,数据库使用的是SQL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9YlK4M.html" rel="bookmark">设计模式系列之二：工厂方法模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 前一篇博文中介绍了简单工厂模式,这里再介绍一下工厂方法模式.与简单工厂很像,那么两者的区别是什么呢?在这篇博文中,首先会简单介绍一下工厂方法的使用方法,并对工厂方法模式进行简单的小结.最后,将结合具体的例子对比简单工厂模式与工厂方法模式,并对两者的使用场景做一个小小的归纳. 问题背景 背景: 某公司开发了一个A软件,数据库使用的是SQLServer.后由于客户要求需要使用Oracle数据库,原来的数据要迁移到Oracle中,在迁移的过程中遇到很多问题,比如语法错误,关键字滥用,函数不支持等			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0aP6p.html" rel="bookmark" class="title">JavaScript 对象与数组参考大全</a>
					<div>
						javascript|参考|对象|数组 JavaScript 对象与数组参考大全 本文列举了各种Javascript对象与数组,同时包括对上述每一对象或数组所完成工作的简短描述,以及与其相关的属性方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrAZWb.html" rel="bookmark" class="title">CSS中的行为&mdash;&mdash;expression</a>
					<div>
						css|express CSS中的行为--expression 最近对CSS中的行为比较感兴趣,虽然是不符合标准的也只有ie才能识别,但是他确实给css的功能扩展了不少.下面是摘自互联网上的文字和例子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLDQap.html" rel="bookmark" class="title">ASP&period;NET安全认证（二）灵活运用表单认证中的deny与allow及保护&period;htm等文件</a>
					<div>
						asp.net|安全 话说上回,简单地说了一下 Form 表单认证的用法.或许大家觉得太简单,对那些大内高手来说应该是&quot;洒洒水啦&quot;&quot;小 Kiss 啦(小意思)&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPnglb.html" rel="bookmark" class="title">用ADO&period;NET处理层次数据</a>
					<div>
						ado|数据     ADO.NET 为数据在内存中的操作和储存提供了一种新模式.因此,我们在处理层次数据时该换换脑了.本文将对其独到之处作一个简单的描述. 读者要求:基本掌握 Visual C#.n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl8LVM.html" rel="bookmark" class="title">在 OpenStack 中启用 DB2  设置 OpenStack 环境以支持 DB2</a>
					<div>
						OpenStack 是一个优秀的云操作系统:开发人员.管理员和操作员在自己的虚拟工具包中拥有与它相 关的技能是明智之举.高效的云需要一个高效的数据库且可接受多个数据库.但如果您希望将 IBM? DB2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOJq5M.html" rel="bookmark" class="title">C＃高级（三）构造函数</a>
					<div>
						构造函数是和类名相同的类的一个方法,如果没有显式的声明,在系统会在编译的时候,自动生成一 个不带参数的,不执行任何动作的构造函数. 但如果显式的声明了构造函数,系统就不会自动生成了.如果声明的构造函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4Kj7p.html" rel="bookmark" class="title">实战从需求文档到设计文档的书写规范（四）</a>
					<div>
						1.2 junit单元测试 大部分集成工具都集成了junit单元测试插件,并有向导帮助写单元测试.Junit发行包的文档很详细地介绍了Junit的设计概念和所使用的设计模式.在这里我简单地说明如何写测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNX6OM.html" rel="bookmark" class="title">允许&sol;拒绝从网络中访问本地电脑设置方法</a>
					<div>
						  第1步:使用快捷组合键开始键+R,打开运行窗口输入&quot;gpedit.msc&quot;然后回车即可进入组策略管理器. 第2步:在&quot;组策略编辑器&quot;左侧,依次打开本地计算机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwlNkb.html" rel="bookmark" class="title">Directx异常怎么修复</a>
					<div>
						  Directx异常怎么修复?很多电脑用户在玩游戏时,总提示丢失d3dx**.dll文件,提示directx出现未知错误,这是怎么回事,该如何解决呢?下面小编就来分享一下Directx未知错误异常的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze71A8M.html" rel="bookmark" class="title">内存故障导致安装操作系统失败</a>
					<div>
						  刚组装好的电脑,在安装系统的时候,当复制文件时速度比较慢,总是报错,提示无法复制文件,或者文件不符.根据重试的提示,有时候能安装,有时候不能继续安装了,只能中断安装.重新启动系统,安装界面上出现很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlWw9b.html" rel="bookmark" class="title">ios-怎么让屏幕高度能同时适应iPhone5和旧版本</a>
					<div>
						问题描述 怎么让屏幕高度能同时适应iPhone5和旧版本 怎么让屏幕高度能同时适应iPhone5和旧版本? 如果用storyboard或者xib可以自动调整高度,但是如果整个视图是编程建立的,怎么设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQd16z.html" rel="bookmark" class="title">速度提升80&percnt; 360手机浏览器推G5内核版</a>
					<div>
						本文讲的是 :  速度提升80% 360手机浏览器推G5内核版  , 手机浏览器作为用户访问移动互联网的重要入口,一直以来,都是各大互联网巨头重点布局的对象,然而,随着浏览器技术的发展以及网民访问习惯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLRPZp.html" rel="bookmark" class="title">extjs 和 Javascript各自的缺点</a>
					<div>
						问题描述 extjs和Javascript各自的缺点?请详细讲解. 解决方案 解决方案二:不会js,就别学ext.学了也白学.这就是缺点吧.解决方案三:http://www.viathink.com解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBJ6vb.html" rel="bookmark" class="title">许志安梦境获灵感演唱会歌服定梦中礼服&lpar;图&rpar;</a>
					<div>
						许志安在身上系了许多灯饰,变成&quot;人肉圣诞树&quot; 新浪娱乐讯 北京时间2月28日消息,据香港媒体报道,许志安.官恩娜.周柏豪.钟舒漫等昨天出席&quot;爱香港.爱&lt;基本法&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgAXYb.html" rel="bookmark" class="title">server 2008 ftp 配置好后&comma;本地用户登陆不进去是怎么回事</a>
					<div>
						问题描述 server 2008 ftp 配置好后,本地用户登陆不进去是怎么回事 匿名用户可以登陆,但是本地用户不能登陆,防火墙都禁止了,谢谢专家帮忙解决. 解决方案 错误是什么????? 解决方案二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rKRKp.html" rel="bookmark" class="title">Excel 2010筛选和高级筛选功能的使用</a>
					<div>
						今天晚上花费了一晚上的时间,来研究Excel筛选功能.呵呵,如果你使用的2010版的Excel的话,其实这个功能也不需要研究的,很简单的.但是高级筛选就有点难度的,不过我们可以&quot;筛选&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94Zngb.html" rel="bookmark" class="title">本地YUM源部署Icehouse问题 系列2</a>
					<div>
						问题描述 由衷感叹一句:没有YUM源部署openstack,坑非常多刚解决了erlang的问题后,遇到启动rabbitmq-server的问题从控制台显示:rabbitmq-server:unreco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MAA8JAM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjEyMTYyMzIyMDQ4ODc/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Y1hGZk1qVTRNVGs0TWpjPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MAA8JAM.html" rel="bookmark" class="title">数据库操作：MFC连接与MYSQL</a>
					<div>
						mysql 与MFC通常情况下都是用ODBC或者是是ADO相连接,但有点伤 我直接找网上的教程,仿照着进行连接,试了n边还是只能连接上,但无法进行如图读取,写入的操作.~有点伤心. 只能去看MYSQL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22JJkb.html" rel="bookmark" class="title">在Maven2中运行单个测试用例并添加JVM参数</a>
					<div>
						都说Maven2是Ant的替代品,今天稍微使用了下Maven,记录备忘. 通过Maven单独运行一个Junit测试用例(无需配置surefire): mvn -Dtest=TestXXX test 为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgXLdM.html" rel="bookmark" class="title">如何获取QQ里的截图app？</a>
					<div>
						电脑系统平台:OS X EI Capitan 10.11 在以前的旧的QQ版本,QQ的截图的偏好还有一个开机自启动的选项: 现在新的版本,却没有了&quot;开机自动运行&quot;的选项,然而有时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn3A6M.html" rel="bookmark" class="title">关于如何将数据导入到Excel表格中</a>
					<div>
						问题描述 如何写一个方法,可以在需要的时候就调用这个方法将数据导入到Excel表格中?用JAVA代码写 解决方案 解决方案二:jxl.jar概述 通过java操作excel表格的工具类库 支持Exce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0Z4yp.html" rel="bookmark" class="title">Easystack陈喜伦：OpenStack市场走强，聚集效应加剧</a>
					<div>
						北京后厂村路云计算创新中心,EasyStack办公室里,出现在记者面前的EasyStack创始人兼CEO陈喜伦心情大好.中秋节前公司在一天之内收获了5个订单,创下了公司成立2年来的记录,开心的陈喜伦忍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq8X7p.html" rel="bookmark" class="title">ocp听课总结之5&mdash;&mdash;表空间</a>
					<div>
						1.temp表空间: temp表空间可以认为是PGA的SWAP区,这样就一下子明了了.PGA里放不下的都可以放到这个temp表空间中,来顺便回忆一下pga的结构,pga大致分为三个部分,分别是会话内存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj0ZKM.html" rel="bookmark" class="title">美国10大最成功辍学生盖茨扎克伯格上榜</a>
					<div>
						本报讯 美国各大高校的毕业季又到了,从总统奥巴马到小说家约翰·格里沙姆,许多政客名人都开始到各地高校做毕业演讲.与此同时,美国&lt;时代&gt;周刊却另辟蹊径,将镜头对准了那些从未获得过毕业证书却又 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2m8oz.html" rel="bookmark" class="title">automation服务器不能创建对象 解决方法&lowbar;C&num;教程</a>
					<div>
						昨天开机打开Visual Studio.Net,准备新建一个项目,却发生一件奇怪的事情,系统报告&quot;automation服务器不能创建对象&quot;错误.然后在解决方案中只见项目名,而不见项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKRYKM.html" rel="bookmark" class="title">js中单引号与双引号冲突一些解决技巧</a>
					<div>
						如何解决js中单引与双引冲突,想下面的这段代码:  代码如下 复制代码 html += ' &lt;a onclick=&quot;return removeOpenCss('+e.point.lng ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYOZ5b.html" rel="bookmark" class="title">Oracle性能究极优化&lowbar;oracle</a>
					<div>
						正在看的ORACLE教程是:Oracle性能究极优化. 增大 SGA 已经缓冲看来对于性能的提升并不显著,加载时间只提升了 1.73%.下面我们增加 SGA 重做日志的大小: DB3: Log Buf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0Go8p.html" rel="bookmark" class="title">JSP连接access数据库</a>
					<div>
						首先进行数据配置 比如Access数据库的名字为:Warehouse.mdb:首先要用ODBC数据源管理器添加一个名字为:Warehouse 步骤为:控制面版-ODBC(若是64位系统则选择64位数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNEd9p.html" rel="bookmark" class="title">radgridview中关联了两张表，如何将他们更新到数据库？</a>
					<div>
						问题描述 radgridview中关联了两张表,如何将他们更新到数据库?radgridview中的列值来源于两张表,怎么分别更新到数据库? 解决方案 解决方案二:没用过radgridview,更新数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YRj7p.html" rel="bookmark" class="title">《R语言数据挖掘：实用项目解析》&mdash;&mdash;1&period;9　循环原理&mdash;&mdash;repeat循环</a>
					<div>
						1.9 循环原理--repeat循环 repeat循环用于对一个向量或数据框重复地进行某种计算.通常没有设定检查退出循环的条件,而是使用break语句退出循环.如果没有在repeat循环中设定brea ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
